LinuxQuestions.org
Support LQ: Use code LQ3 and save $3 on Domain Registration
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 02-24-2004, 11:47 PM   #1
tylerb
LQ Newbie
 
Registered: Feb 2004
Location: USA
Distribution: Red Hat 9
Posts: 22

Rep: Reputation: 15
problem installing xine lib


when i tried to install xine lib i got the following error message. i think the problem is i have a cvs version and need to uninstall it. should i just go into the directories the conflicting files are in and delete them? what does cvs stand for?


[root@localhost tyler]# rpm -vi xine-lib-1.0.0-0.2.rc1.fr.i386.rpm
Preparing packages for installation...
file /usr/lib/libxine.so.1 from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/post/xineplug_post_goom.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/post/xineplug_post_mosaico.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/post/xineplug_post_planar.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/post/xineplug_post_switch.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/post/xineplug_post_tvtime.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/post/xineplug_post_visualizations.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_ao_out_alsa.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_ao_out_esd.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_ao_out_none.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_ao_out_oss.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_28k8.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_a52.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_adpcm.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_cinepak.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_cyuv.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_dts.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_dxr3_spu.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_dxr3_video.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_faad.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_ff.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_fli.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_gsm610.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_idcinvideo.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_image.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_interplayaudio.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_interplayvideo.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_logpcm.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_lpcm.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_mad.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_mpeg2.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_msrle.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_msvc.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_nsf.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_pcm.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_qt.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_qtrle.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_qtrpza.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_qtsmc.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_real.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_real_audio.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_rgb.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_roqaudio.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_roqvideo.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_spu.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_spucc.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_sputext.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_svq1.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_vorbis.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_w32dll.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_wc3video.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_yuv.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_decode_yuv_frames.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_dmx_asf.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_dmx_audio.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_dmx_avi.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_dmx_fli.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_dmx_games.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_dmx_image.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_dmx_mng.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_dmx_mpeg.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_dmx_mpeg_block.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_dmx_mpeg_elem.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_dmx_mpeg_pes.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_dmx_mpeg_ts.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_dmx_nsv.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_dmx_ogg.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_dmx_pva.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_dmx_qt.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_dmx_rawdv.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_dmx_real.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_dmx_slave.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_dmx_sputext.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_dmx_yuv4mpeg2.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_dmx_yuv_frames.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_inp_cdda.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_inp_dvb.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_inp_dvd.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_inp_file.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_inp_http.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_inp_mms.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_inp_net.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_inp_pnm.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_inp_pvr.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_inp_rtp.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_inp_rtsp.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_inp_stdin_fifo.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_inp_v4l.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_inp_vcd.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_vo_out_dxr3.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_vo_out_fb.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_vo_out_none.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_vo_out_syncfb.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_vo_out_vidix.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_vo_out_xshm.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/lib/xine/plugins/1.0.0/xineplug_vo_out_xv.so from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/share/xine/libxine1/fonts/cc-16.xinefont.gz from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/share/xine/libxine1/fonts/cc-20.xinefont.gz from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/share/xine/libxine1/fonts/cc-24.xinefont.gz from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/share/xine/libxine1/fonts/cc-32.xinefont.gz from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/share/xine/libxine1/fonts/cci-16.xinefont.gz from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/share/xine/libxine1/fonts/cci-20.xinefont.gz from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/share/xine/libxine1/fonts/cci-24.xinefont.gz from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/share/xine/libxine1/fonts/cci-32.xinefont.gz from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/share/xine/libxine1/fonts/cetus-16.xinefont.gz from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/share/xine/libxine1/fonts/cetus-20.xinefont.gz from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/share/xine/libxine1/fonts/cetus-24.xinefont.gz from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/share/xine/libxine1/fonts/cetus-32.xinefont.gz from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/share/xine/libxine1/fonts/mono-16.xinefont.gz from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/share/xine/libxine1/fonts/mono-20.xinefont.gz from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/share/xine/libxine1/fonts/mono-24.xinefont.gz from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/share/xine/libxine1/fonts/mono-32.xinefont.gz from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/share/xine/libxine1/fonts/sans-16.xinefont.gz from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/share/xine/libxine1/fonts/sans-20.xinefont.gz from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/share/xine/libxine1/fonts/sans-24.xinefont.gz from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/share/xine/libxine1/fonts/sans-32.xinefont.gz from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/share/xine/libxine1/fonts/serif-16.xinefont.gz from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/share/xine/libxine1/fonts/serif-20.xinefont.gz from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/share/xine/libxine1/fonts/serif-24.xinefont.gz from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
file /usr/share/xine/libxine1/fonts/serif-32.xinefont.gz from install of xine-lib-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
 
Old 02-25-2004, 12:07 AM   #2
Phorem
Member
 
Registered: Nov 2003
Location: Toronto, Canada
Distribution: Gentoo AMD64
Posts: 374

Rep: Reputation: 30
Try using "rpm -e and the package name for the xine-lib that was originally installed". That should get rid of the the original install (when uninstalling, don't add *.rpm to the end of the rpm -e and package name. It won't uninstall if you do).
As for "CVS", it stands for "Concurrent Versions System". In other words, the latest version of the code. Unless you installed the xine-lib using CVS (you have to use the command prompt most of the time to get this code on your computer) then i wouldn't know why you would be getting that message (other than an original install that came with RH).
 
Old 02-25-2004, 06:10 PM   #3
tylerb
LQ Newbie
 
Registered: Feb 2004
Location: USA
Distribution: Red Hat 9
Posts: 22

Original Poster
Rep: Reputation: 15
i dont have the rpm from the original install or know the version, i downloaded it so i know i cant uninstall it using the tool that came with red hat. i think i might have installed it from source. how can i uninstall it if i did it from source or find out which rpm i used?
 
Old 02-25-2004, 07:16 PM   #4
Phorem
Member
 
Registered: Nov 2003
Location: Toronto, Canada
Distribution: Gentoo AMD64
Posts: 374

Rep: Reputation: 30
Well if you installed it from source, hopefully you still have that folder kicking around. If you do, use "make uninstall" in the folder you installed the program from. As for finding the rpm, i don't know how to do that with a base install of red hat. Try getting a rpm manager or maybe somebody else will have an idea. Hope i helped a bit.
 
Old 02-25-2004, 08:03 PM   #5
tylerb
LQ Newbie
 
Registered: Feb 2004
Location: USA
Distribution: Red Hat 9
Posts: 22

Original Poster
Rep: Reputation: 15
Yes you did help. You taught me don't delete stuff because your folder is getting cluttered. I have an idea. If I did install from source I can download it again and compile it and then do a make uninstall.
 
Old 02-25-2004, 08:10 PM   #6
quatsch
LQ Addict
 
Registered: Aug 2003
Location: New York, NY
Distribution: gentoo, gentooPPC
Posts: 1,661

Rep: Reputation: 48
if you installed from the source, rpm shouldn't detect a conflict. Try
rpm -e libxine1-1_cvs-040216

you can also try
rpm -ivh --force {name of xine-lib package}
the force option should override the conflicts.
 
Old 02-25-2004, 08:23 PM   #7
tylerb
LQ Newbie
 
Registered: Feb 2004
Location: USA
Distribution: Red Hat 9
Posts: 22

Original Poster
Rep: Reputation: 15
i forced the install and then tried to compile kxine and here is what i got:

./configure

a bunch of stuff............
..............................
................................
checking for XINE-LIB version >= 0.9.9... no
*** Could not run XINE test program, checking why...
*** The test program compiled, but did not run. This usually means
*** that the run-time linker is not finding XINE or finding the wrong
*** version of XINE. If it is not finding XINE, you'll need to set your
*** LD_LIBRARY_PATH environment variable, or edit /etc/ld.so.conf to point
*** to the installed location Also, make sure you have run ldconfig if that
*** is required on your system
***
*** If you have an old version installed, it is best to remove it, although
*** you may also be able to get things to work by modifying LD_LIBRARY_PATH
***
configure: error: *** You should install xine-lib 0.9.9 or greater first ***
 
Old 02-25-2004, 08:40 PM   #8
quatsch
LQ Addict
 
Registered: Aug 2003
Location: New York, NY
Distribution: gentoo, gentooPPC
Posts: 1,661

Rep: Reputation: 48
is there a devel package for xine-lib? Very often problems like that is due to missing devel packages.
 
Old 02-25-2004, 09:40 PM   #9
tylerb
LQ Newbie
 
Registered: Feb 2004
Location: USA
Distribution: Red Hat 9
Posts: 22

Original Poster
Rep: Reputation: 15
i tried installing the development package and im still having conflicts. here is the output from the development package installer

[root@localhost tyler]# rpm -vhi xine-lib-devel-1.0.0-0.2.rc1.fr.i386.rpm
Preparing... ########################################### [100%]
file /usr/share/man/man1/xine-config.1.gz from install of xine-lib-devel-1.0.0-0.2.rc1.fr conflicts with file from package libxine1-1_cvs-040216
 
Old 02-25-2004, 09:45 PM   #10
tylerb
LQ Newbie
 
Registered: Feb 2004
Location: USA
Distribution: Red Hat 9
Posts: 22

Original Poster
Rep: Reputation: 15
another problem. i installed xine before my nvidia video drivers. now that i have them installed i get this error message:

[root@localhost tyler]# gxine
server: trying to connect to already running instance of gxine (/root/.gxine/socket)...
connect: No such file or directory
server: socket '/root/.gxine/socket' created
gtkxine: couldn't open video driver
utils: cannot stat '/root/.gxine/playlist'
Segmentation fault
[root@localhost tyler]# gxine
server: trying to connect to already running instance of gxine (/root/.gxine/socket)...
connect: Connection refused
server: socket '/root/.gxine/socket' created
gtkxine: couldn't open video driver
utils: cannot stat '/root/.gxine/playlist'
Segmentation fault

im getting so frustrated trying to get xine working right im about to give up on it and try mplayer
 
Old 02-25-2004, 09:45 PM   #11
quatsch
LQ Addict
 
Registered: Aug 2003
Location: New York, NY
Distribution: gentoo, gentooPPC
Posts: 1,661

Rep: Reputation: 48
did you try removing the rpm package libxine1-1_cvs-040216 ? I'm pretty sure you must have installed it using rpm. otherwise, the conflict shouldn't get detected at all.
 
Old 02-25-2004, 09:51 PM   #12
quatsch
LQ Addict
 
Registered: Aug 2003
Location: New York, NY
Distribution: gentoo, gentooPPC
Posts: 1,661

Rep: Reputation: 48
As a general point, I wouldn't run things as root. Anyhow, try removing the .gxine directory in your home directory (or /root if you must run gxine as root) and run gxine.
 
Old 02-25-2004, 09:55 PM   #13
tylerb
LQ Newbie
 
Registered: Feb 2004
Location: USA
Distribution: Red Hat 9
Posts: 22

Original Poster
Rep: Reputation: 15
i solved the conflict problem but i keep getting the same error message when i ./configure kxine. i even tried deleting the install directory and extracting it again to get rid of the old configure files
 
Old 02-25-2004, 10:01 PM   #14
tylerb
LQ Newbie
 
Registered: Feb 2004
Location: USA
Distribution: Red Hat 9
Posts: 22

Original Poster
Rep: Reputation: 15
i deleted the /home/tyler/.gxine directory and it runs again but i cant get it to play a DVD. under the input tab of preferences i set the path to my dvd drive and when i try to play one i get a message box that pops up and says read error from dvd:/
 
Old 02-26-2004, 12:21 AM   #15
quatsch
LQ Addict
 
Registered: Aug 2003
Location: New York, NY
Distribution: gentoo, gentooPPC
Posts: 1,661

Rep: Reputation: 48
why are you trying to install kxine anyway? the xine-ui is the best for xine I think in terms of functionality. Kxine also has been abandoned for a while, hasn't it? It might just not work with the new version of xine.

as for dvd, did you install libdvdcss? You need it to play back encrypted dvds (just about any dvd that you buy).
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Problems Installing Xine-lib From Packman SuSE 9.3 lagu2653 Linux - Software 1 10-26-2005 06:53 PM
[Gentoo] problem emerging xine-lib-1.0.1-r3 macaddict89 Linux - Distributions 2 09-03-2005 10:46 PM
Installing Kaffeine (Xine-Lib) Boffy Linux - Software 1 01-24-2005 01:05 PM
problem after update xine-lib salahuddin_66 Slackware 2 06-08-2004 09:28 PM
xine.de is under construction - how to install - xine-lib-1-rc3a.tar.gz sanjaya Linux - Software 1 02-13-2004 09:36 PM


All times are GMT -5. The time now is 02:57 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration